# Uses of Class
org.bukkit.event.EventException

Packages that use EventException
Package
Description
co.aikar.timings
com.destroystokyo.paper.event.executor
org.bukkit.plugin
Classes specifically relating to loading software modules at runtime.

## Uses of EventException in co.aikar.timings

Methods in co.aikar.timings that throw EventException
Modifier and Type
Method
Description
`void`
TimedEventExecutor.`execute(@NotNull Listener listener, @NotNull Event event)`

## Uses of EventException in com.destroystokyo.paper.event.executor

Methods in com.destroystokyo.paper.event.executor that throw EventException
Modifier and Type
Method
Description
`void`
MethodHandleEventExecutor.`execute(@NotNull Listener listener, @NotNull Event event)`
`void`
StaticMethodHandleEventExecutor.`execute(@NotNull Listener listener, @NotNull Event event)`

## Uses of EventException in org.bukkit.plugin

Methods in org.bukkit.plugin that throw EventException
Modifier and Type
Method
Description
`void`
RegisteredListener.`callEvent(@NotNull Event event)`
Calls the event executor
`void`
TimedRegisteredListener.`callEvent(@NotNull Event event)`
`void`
EventExecutor.`execute(@NotNull Listener listener, @NotNull Event event)`